RDKit: RDKit::ReactionFingerprintParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::ReactionFingerprintParams Struct Reference

`#include <ReactionFingerprints.h>`

## Public Member Functions
| ReactionFingerprintParams ()
| ReactionFingerprintParams (bool includeAgents, double bitRatioAgents, unsigned int nonAgentWeight, int agentWeight, unsigned int fpSize, FingerprintType fpType)

## Public Attributes
bool | includeAgents
double | bitRatioAgents
unsigned int | nonAgentWeight
int | agentWeight
unsigned int | fpSize
FingerprintType | fpType

## Detailed Description

A struct for storing parameters to manipulate the calculation of fingerprints of chemical reactions

Different parameters can be chosen to influence the generation of chemical reaction fingerprints. Generally different setting should be used for structural or difference fingerprints.

Parameters

  includeAgents | include the agents of a reaction for fingerprint generation
  bitRatioAgents | in structural fingerprints it determines the ratio of bits of the agents in the fingerprint
  nonAgentWeight | in difference fingerprints weight factor for reactants and products compared to agents
  agentWeight | if agents are included, agents could be weighted compared to reactants and products in difference fingerprints
  fpSize | number of bits of the fingerprint
  fpType | kind of fingerprint used, e.g AtompairFP. Be aware that only AtompairFP, TopologicalTorsion and MorganFP were supported in the difference fingerprint.

Definition at line 74 of file ReactionFingerprints.h.

## Constructor & Destructor Documentation

RDKit::ReactionFingerprintParams::ReactionFingerprintParams | ( |  | ) |
| inline

Definition at line 75 of file ReactionFingerprints.h.

RDKit::ReactionFingerprintParams::ReactionFingerprintParams | ( | bool | includeAgents,
|  | double | bitRatioAgents,
|  | unsigned int | nonAgentWeight,
|  | int | agentWeight,
|  | unsigned int | fpSize,
|  | FingerprintType | fpType
| ) |  |
| inline

Definition at line 83 of file ReactionFingerprints.h.

## Member Data Documentation

int RDKit::ReactionFingerprintParams::agentWeight

Definition at line 96 of file ReactionFingerprints.h.

double RDKit::ReactionFingerprintParams::bitRatioAgents

Definition at line 94 of file ReactionFingerprints.h.

unsigned int RDKit::ReactionFingerprintParams::fpSize

Definition at line 97 of file ReactionFingerprints.h.

FingerprintType RDKit::ReactionFingerprintParams::fpType

Definition at line 98 of file ReactionFingerprints.h.

bool RDKit::ReactionFingerprintParams::includeAgents

Definition at line 93 of file ReactionFingerprints.h.

unsigned int RDKit::ReactionFingerprintParams::nonAgentWeight

Definition at line 95 of file ReactionFingerprints.h.

The documentation for this struct was generated from the following file:

- ReactionFingerprints.h